## k9copy-trinity 14.1.1

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( k9copy )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_OPENGL      "Enable OpenGL"               ${WITH_ALL_OPTIONS} )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON           )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


##### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories

add_subdirectory( icons )
add_subdirectory( k9decmpeg )
add_subdirectory( k9devices )
add_subdirectory( k9Mplayer )
add_subdirectory( k9vamps )
add_subdirectory( libdvdnav )
add_subdirectory( libk9copy )
add_subdirectory( k9author )
add_subdirectory( src )

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## k9copy-trinity 3.5.13.2

=== debian/changelog ===
k9copy-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:16:07 +0200

k9copy-trinity (1.2.3-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

k9copy-trinity (1.2.3-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix
  * Changed prefix to /opt/trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 08 Apr 2000 10:46:00 -0600

k9copy (1.2.3-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * debian/patches/kubuntu_05_typo_fix.patch: dropped, included upstream

 -- Luka Renko <lure@ubuntu.com>  Sun, 20 Jan 2008 16:38:59 +0100

k9copy (1.2.2-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Moved Homepage field to source stanza.
  * Removed kubuntu_01_kdepot.diff - no longer need (upstream updated
    admin).

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 31 Dec 2007 16:40:34 +0100

k9copy (1.2.1-0ubuntu2) hardy; urgency=low

  * debian/patches:
    - Added kubuntu_05_typo_fix.patch to fix a typo error (LP: #177715)
  * debian/control
     - Bump Standards-Version to 3.7.3
     - Added autotools-dev as Build-Depends to avoid the following lintian
       error: outdated-autotools-helper-file admin/config.{guess,sub}

 -- Miguel Ruiz <mruiz@ubuntu.com>  Wed, 26 Dec 2007 12:32:26 -0300

k9copy (1.2.1-0ubuntu1) hardy; urgency=low

  * New upstream release
  * debian/control: 
    * Build-Depends on libdvdread-dev (was libdvdread3-dev)
    * Build-Depends on libavformat-dev & libavcodec-dev
  * debian/patches/kubuntu_04_fix_header_files_inclusion.patch: 
    * Dropped, as it is resolved upstream
  * debian/patches/kubuntu_04_fix_libGL_crash.patch:
    * fix crash when libGL.so is not present, instead ask for 
      versioned name,  libGL.so.1 (LP: #174752)

 -- Luka Renko <lure@ubuntu.com>  Sun, 16 Dec 2007 12:34:12 +0100

k9copy (1.1.3-0ubuntu2) gutsy; urgency=low

  * Update upstream web site address (LP: #139193)
  * Change maintainer to MOTU

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Sep 2007 15:22:36 -0400

k9copy (1.1.3-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * kubuntu_03_fix_Makefile_files_in_po_directory.patch: updated to apply

 -- Luka Renko <lure@ubuntu.com>  Thu, 16 Aug 2007 16:42:33 +0200

k9copy (1.1.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/control: add Build-Depends on DBus and HAL
  * kubuntu_02_fix_desktop_file.patch: drop, fixed upstream
  * kubuntu_03_fix_Makefile_files_in_po_directory.patch: updated to apply
  * kubuntu_04_fix_header_files_inclusion.patch: updated to apply

 -- Luka Renko <lure@ubuntu.com>  Sun, 12 Aug 2007 21:59:39 +0200

k9copy (1.1.0~beta2-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Bump Standards-Version

 -- Adrien Cunin <adri2000@gmail.com>  Wed, 29 Nov 2006 16:30:24 +0100

k9copy (1.1.0~beta1-0ubuntu2) edgy; urgency=low

  * Added dependency on libdvdnav and mencoder

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 17 Oct 2006 02:19:52 +0200

k9copy (1.1.0~beta1-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Added kubuntu_04_fix_header_files_inclusion.patch to fix progress.h file
    inclusion in k9progress.h file

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 11 Jul 2006 22:10:52 +0200

k9copy (1.0.2-0ubuntu1) dapper; urgency=low

  * Initial Release.
  * Added kubuntu_01_kdepot for pot file inclusion in Rosetta.
  * Added kubuntu_02_fix_desktop_file to add french and english GenericName,
    and Categories to K9copy.desktop file.
  * Added kubuntu_03_fix_Makefile_files_in_po_directory to fix po/Makefile.am
    and po/Makefile.in. k9copy.pot entry needs to be removed for the
    application to build.
  * Tarball rebuild to correct permissions, too many files were executable.
  * Sponsored upload for Anthony Mercatante <anthony.mercatante@laposte.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Dec 2005 13:46:20 +0200

=== debian/control ===
Source: k9copy-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 5), quilt, cdbs, kdelibs4-trinity-dev, docbook2x, libdvdread-dev, libdbus-1-dev, libhal-dev, libhal-storage-dev, libavformat-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://k9copy.sourceforge.net/

Package: k9copy-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vamps, dvd+rw-tools, dvdauthor, mencoder, libdvdnav4
Replaces: k9copy-kde3 (<< 4:3.5.13)
Breaks: k9copy-kde3 (<< 4:3.5.13)
Description: DVD backup tool for Trinity
 k9copy is a tabbed tool that allows to copy of one or more titles from a DVD9
 to a DVD5, in thesame way than DVDShrink for Microsoft Windows (R).
 This is the Trinity version

## k9copy-trinity 14.0.4

=== debian/changelog ===
k9copy-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:08:13 +0200

## k9copy-trinity 14.0.5

=== debian/changelog ===
k9copy-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:09:03 +0200

=== debian/control ===
Source: k9copy-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, docbook-xml, libdvdread-dev, libdbus-1-dev, libk3b-trinity-dev, libavformat-dev, libswscale-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: k9copy-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vamps, dvd+rw-tools, dvdauthor, mencoder, libdvdnav4
Replaces: k9copy-kde3 (<< 4:14.0.0~), k9copy-trinity (<< 4:14.0.0~)
Breaks: k9copy-kde3 (<< 4:14.0.0~), k9copy-trinity (<< 4:14.0.0~)
Description: DVD backup tool for Trinity
 k9copy is a tabbed tool that allows to copy of one or more titles from a DVD9
 to a DVD5, in much the same way as DVDShrink for Microsoft Windows (R).
 This is the Trinity version

## k9copy-trinity 14.0.6

=== debian/changelog ===
k9copy-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:06:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_k9copy = k9copy-trinity.1

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --includedir="/opt/trinity/include/tde" --mandir="/opt/trinity/share/man" --infodir="/opt/trinity/share/info" --enable-k3bdevices

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/k9copy-trinity::
	dh_installman k9copy.1
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/
	dh_link opt/trinity/share/doc/tde/HTML/en/k9copy usr/share/doc/$(cdbs_curpkg)/html

build/k9copy-trinity::
	docbook2x-man debian/k9copy.1.docbook

clean::
	rm -f k9copy.1

## k9copy-trinity 14.0.8

=== debian/changelog ===
k9copy-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:45:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, docbook-xml, libdvdread-dev, libdbus-1-dev, libk3b-trinity-dev, libavformat-dev, libswscale-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, docbook2x, docbook-xml, libdvdread-dev, libdbus-1-dev, libk3b-trinity-dev, libavformat-dev, libswscale-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: k9copy-trinity

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include debian/cdbs/kde.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man

## k9copy-trinity 14.0.9

=== debian/changelog ===
k9copy-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:01:55 +0200

## k9copy-trinity 14.0.11

=== debian/changelog ===
k9copy-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 12 Aug 2021 00:24:54 +0200

## k9copy-trinity 14.0.12

=== debian/changelog ===
k9copy-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Feb 2022 16:28:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,6 @@
 DEB_INSTALL_MANPAGES_k9copy = k9copy-trinity.1
 
 DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --includedir="/opt/trinity/include/tde" --mandir="/opt/trinity/share/man" --infodir="/opt/trinity/share/info" --enable-k3bdevices
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 post-patches:: debian/stamp-bootstrap

## k9copy-trinity 14.0.13

=== debian/changelog ===
k9copy-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 28 Sep 2022 03:44:58 +0200

## k9copy-trinity 14.1.0

=== debian/changelog ===
k9copy-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:18:50 +0100

## k9copy-trinity 14.1.1

=== debian/changelog ===
k9copy-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 04:05:11 +0200

## k9copy-trinity 14.1.2

=== debian/changelog ===
k9copy-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 07:51:55 +0100

## k9copy-trinity 14.1.3

=== debian/changelog ===
k9copy-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:11:19 +0200

## k9copy-trinity 14.1.4

=== debian/changelog ===
k9copy-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## k9copy-trinity 14.1.5~pre3

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/k9Mplayer
  ${CMAKE_SOURCE_DIR}/k9author
  ${CMAKE_SOURCE_DIR}/k9decmpeg
  ${CMAKE_SOURCE_DIR}/k9devices
  ${CMAKE_SOURCE_DIR}/k9vamps
  ${CMAKE_SOURCE_DIR}/libdvdnav
  ${CMAKE_SOURCE_DIR}/libk9copy
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TDE_LIB_DIR}
  ${LIBAVCODEC_LIBRARY_DIRS}
  ${LIBAVFORMAT_LIBRARY_DIRS}
  ${LIBAVUTIL_LIBRARY_DIRS}
  ${LIBSWSCALE_LIBRARY_DIRS}
)

##### k9copy (executable)
file( GLOB _lib_cpp_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp )
file( GLOB _lib_ui_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*.ui )

tde_add_executable( k9copy AUTOMOC
  SOURCES ${_lib_cpp_files} ${_lib_ui_files}
  LINK
    k9mplayer-static k9author-static k9decmpeg-static k9devices-static
    k9vamps-static k9dvdnav-static k9copy-static
    tdecore-shared tdefx-shared tdeui-shared tdeio-shared tdehtml-shared
    tdetexteditor-shared tdeparts-shared tdemdi-shared DCOP-shared
    ${LIBAVCODEC_LIBRARIES} ${LIBAVFORMAT_LIBRARIES} ${LIBAVUTIL_LIBRARIES}
    ${LIBSWSCALE_LIBRARIES} ${LIBDVDREAD_LIBRARIES} ${K3BDEVICE_LIBRARY}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### app icon

tde_install_icons( ${PROJECT_NAME} )


##### other files

install(
  FILES anim.mng k9copyui.rc mencoder.xml
  DESTINATION ${DATA_INSTALL_DIR}/k9copy
)

tde_create_translated_desktop(
  SOURCE k9copy_open.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)

tde_create_translated_desktop(
  SOURCE k9copy.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== debian/changelog ===
k9copy-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 04a9cc336ac51e4a19a4a47dd5f5e8668b396f9b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 27 Sep 2025 03:10:49 +0200

## k9copy-trinity 14.1.5

=== k9devices/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk9copy
  ${TDE_INCLUDE_DIR}
)

##### main k9devices
tde_add_library( k9devices STATIC_PIC AUTOMOC
  SOURCES k9cddrive.cpp
)

=== debian/changelog ===
k9copy-trinity (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 27 Sep 2025 03:10:49 +0200

=== debian/control ===
Source: k9copy-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 10~), quilt, tde-cdbs, tde-cmake, ninja-build, tdelibs14-trinity-dev,
 libdvdread-dev, libk3b-trinity-dev, libavformat-dev, libswscale-dev
Standards-Version: 3.8.4

Package: k9copy-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vamps, dvd+rw-tools, dvdauthor, mencoder, libdvdnav4
Replaces: k9copy-trinity (<< 4:14.0.0~)
Breaks: k9copy-trinity (<< 4:14.0.0~)
Description: DVD backup tool for Trinity
 k9copy is a tabbed tool that allows to copy of one or more titles from a DVD9
 to a DVD5, in much the same way as DVDShrink for Microsoft Windows (R).
 This is the Trinity version

## k9copy-trinity 14.1.6~pre1

=== debian/changelog ===
k9copy-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 31bd9407df8a6a4da73e8a89dc4e6a050ab93e65
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 22:37:00 +0100

## k9copy-trinity 14.1.6~pre2

=== debian/changelog ===
k9copy-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d0fa7c199f0816ca6619232b94d18f6102108838
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:49:19 +0100

## k9copy-trinity 14.2.0~pre65

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,19 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
-#### general package setup
+##### general package setup
 
 project( k9copy )
 
 
-#### include essential cmake modules
+##### include essential cmake modules
 
 include( FindPkgConfig          )
 include( CheckFunctionExists    )
@@ -26,14 +30,9 @@
 include( CheckCXXSourceCompiles )
 
 
-#### include our cmake modules
+##### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number
-
-tde_set_project_version( )
 
 
 ##### setup install paths
@@ -84,7 +83,7 @@
 add_subdirectory( src )
 
 tde_conditional_add_project_docs( BUILD_DOC )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== k9vamps/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk9copy
  ${TDE_INCLUDE_DIR}
)

##### main k9vamps
file( GLOB _lib_cpp_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp )
tde_add_library( k9vamps STATIC_PIC
  SOURCES ${_lib_cpp_files}
)

=== debian/changelog ===
k9copy-trinity (4:14.2.0~pre65-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 1f8ddde027f9da9dc32a7e33bd50c970c562946b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Sep 2025 02:54:56 +0200

## k9copy-trinity 14.2.0~pre66

=== debian/changelog ===
k9copy-trinity (4:14.2.0~pre66-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 10b945c5bd80540c432fbcc212b82510b082b787
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Nov 2025 13:16:50 +0100

## k9copy-trinity 14.2.0~pre67

=== debian/changelog ===
k9copy-trinity (4:14.2.0~pre67-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a3b5a6e9658e5af4b57e1363e59210e1452cb026
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k9copy

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:59:41 +0100
